# Interface IViewerLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`

All Known Implementing Classes:
  `DecoratingLabelProvider, ListeningLabelProvider, org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider`

public interface IViewerLabelProvider extends IBaseLabelProvider
Extends `IBaseLabelProvider` with the methods to update the label for a given element. The label is represented by a `ViewerLabel`. Unlike `ILabelProvider`, this allows the text and image to be set in the same request, rather than via separate requests.

It also allows the current values for the text and image to be considered by the label provider, allowing for potential optimizations. For example, decorating label providers that run in the background can hold off applying an update to a previously populated label until the decoration is ready, thereby reducing flicker.

Since:
  3.0
See Also:
  - `IDelayedLabelDecorator`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateLabel(ViewerLabel label, Object element)`
Updates the label for the given element.

### Methods inherited from interface IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Method Details

### updateLabel

void updateLabel(ViewerLabel label, Object element)
Updates the label for the given element.

Parameters:
  `label` - the label to update
  `element` - the element